package others_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type TimestampVerifyRequest struct {
	// <ext>core:true</ext> 【签署后时间戳】签署后时间戳 【作用】 1、时间戳产生的逻辑：系统将签署数据用Hash算法运算形成摘要，然后将该摘要发送到DTS（时间戳服务器）。DTS在加入了收到文件摘要的日期和事件信息后再对该文件加密（数字签名）得到时间戳，时间戳是一个经加密后形成的凭证文档，即DTS的数字签名。 2、时间戳验签逻辑：传入时间戳数据，系统会校验时间戳是否为真。 【传参】 以Base64编码格式传入时间戳字符串，需符合RFC 3161。
	Timestamp string `json:"timestamp"`
}

func (obj TimestampVerifyRequest) GetUrl() string {
	return "/timestamp/verify"
}

func (obj TimestampVerifyRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	parameter.AddParam("timestamp", obj.Timestamp)
	return parameter
}
